<script>
    async function register(name, password, invite) {
        return fetch("<%= API_URL %>/users/register", {
            method: "POST",
            headers: {
                "Content-Type": "application/json"
            },
            body: JSON.stringify({
                name,
                password,
                invite
            })
        });
    };

    async function handleSubmit() {
        try {
            const response = await register(
                document.getElementById("username").value,
                document.getElementById("password").value,
                document.getElementById("invite").value
            );

            const json = await response.json();
            document.getElementById("status").innerText = json.message;
            return
        } catch (err) {
            document.getElementById("status").innerText = err.message;
        }
    };
</script>

<input type="text" placeholder="Username" id="username"><br>
<input type="password" placeholder="Password" id="password"><br>
<input type="text" placeholder="Invite Code" id="invite"><br><br>

<button id="register-button" onclick="handleSubmit()">Register</button><br><br>

<p id="status"></p>